VVA Posted July 2, 2011 Posted July 2, 2011 VVA I can't seem to omit entirely "Gravity Center" row ?give me a clue what to modify? Steve Comment out (or delete) in red to # 96 Quote
namnhim Posted July 4, 2011 Posted July 4, 2011 help fix lisp (tabcord.lsp) as follows: - Add height (Z) - Size when running next to - Building layer: the point; size and number as illustrations would like to thank! Drawing.dwg Quote
namnhim Posted July 5, 2011 Posted July 5, 2011 ASMi wrote in (> Daveyboyd X, Y, Z for 3D-Poly: http://www.asmitools.com/Files/Lisps/3cord.html) but not used in CAD 2D, I do not know how VVA said to be like: "To convert 2d polyline (severe) to LW (light or compact) or _convertpoly _convert use the command" help I can get in 2D! Quote
stevesfr Posted July 5, 2011 Posted July 5, 2011 Comment out (or delete) in red to # 96 Thank You VVA !! Steve Quote
basharat20052000 Posted November 5, 2011 Posted November 5, 2011 hi to all please this lisp file is so good thank for that .... when problam coming with him some time center co-ordinte its not giving woring can you give me help this some time is ok Quote
basharat20052000 Posted November 5, 2011 Posted November 5, 2011 tabord2 is good code plese give me help about how to change its center point co-ordenate its coming is woring Quote
nerzzul Posted February 2, 2012 Posted February 2, 2012 Hello Guys, is it possible to make something like, for example a command that will let you to number your objects ( while it will ask you for prefix and suffix) text size, also the location of text(shown on photo below) it can be TEXT(MTEXT) or MultiLeader if possible, after you enter all data, it will regenerate a table which will include the names of the objects, coordinate X and Y. thanks in advice Quote
hilasa Posted April 23, 2012 Posted April 23, 2012 Hi there Fixo, This might sound like a silly question. I would love to use this LISP as well. I just apploaded it, what is the command I type in to make it work? Quote
SLW210 Posted April 23, 2012 Posted April 23, 2012 Hi there Fixo, This might sound like a silly question. I would love to use this LISP as well. I just apploaded it, what is the command I type in to make it work? Try TABCORD Quote
antistar Posted February 18, 2014 Posted February 18, 2014 Give that a try ~'J'~ Hi, Does anyone know how to modify CoordsToTable.LSP by Fixo (reply #2), to create a table by selecting points and not polylines - without the column radius? Thanks in advance. Quote
fixo Posted February 18, 2014 Posted February 18, 2014 Please, upload table picture to see what you mean Quote
antistar Posted February 19, 2014 Posted February 19, 2014 Please, upload table picture to see what you mean Hi Fixo, I need this result when selecting points objects. Thanks. Quote
fixo Posted February 19, 2014 Posted February 19, 2014 Hi Try this code, mostly borrowed from Peter Jamtgaard: ;; nice code example by Peter Jamtgaard (variables were shortened) ;; [ sorry Peter ] (defun lstToTable (insPt ; List Insertion point of Table title ; String Table Title cmLst ; List of sublists of Values in Rows / accol ;AutoCAD.AcCmColor object col ; Integer Column Item rows ; Integer Number of Rows cols ; Integer Number of Columns row ; Integer Row Item sbLst ; List of Values in a Row atable ; Table Object strg ; String Item in List ) (if (not insPt) (setq insPt (getpoint "\nSelect Insertion Point: "))) (setq rows (1+ (length cmLst)) cols (apply 'max (mapcar 'length cmLst)) atable (vla_addTable insPt rows cols) ) ; to prevent display table changes at runtime: (vla-put-regeneratetablesuppressed atable :vlax-true);supres opening and closing table-block object at each writting to table (setq accol (vla-get-truecolor atable)) (vla-setrgb accol 16 37 66) (vla-put-truecolor atable accol) ;************************************************************************************ ; Populate Title and set title (vla-settext atable 0 0 title) (vla-setrgb accol 255 161 66) (vla-setcellcontentcolor atable 0 0 accol) ;(vla-setrgb accol 0 64 255) (vla-setrgb accol 20 27 105) (vla-SetCellBackgroundColor atable 0 0 accol) (vla-setrgb accol 82 0 0) ;************************************************************************************ ; Populate Column Headers and Data Rows (setq row 1 col 0 ) (foreach sbLst cmLst (foreach strg sbLst (vla-settext atable row col strg) (vla-setcellalignment atable row col acMiddleCenter) (vla-setrgb accol 82 0 0) (vla-setcellcontentcolor atable row col accol) (if (> col 0)(progn (vla-setcelldatatype atable row col acdouble acUnitDistance) (vla-setcellformat atable row col "%lu2%pr2"))) (vla-setrgb accol 255 245 235) (vla-SetCellBackgroundColor atable row col accol) (setq col (1+ col)) ) (setq col 0 row (1+ row))) (vla-insertrows atable 1 (* txtsize 1.5) 1) (setq col 0 row 1) (foreach strg (list "PT." "X" "Y") (vla-settext atable row col strg) (vla-setcellalignment atable row col acMiddleCenter) (vla-setrgb accol 82 0 0) (vla-setcellcontentcolor atable row col accol) (vla-setrgb accol 249 198 182) (vla-SetCellBackgroundColor atable row col accol) (setq col (1+ col))) (vla-setcolumnwidth atable 0 (* (getvar 'textsize) ) (vla-setrowheight atable 1 (* (getvar 'textsize) 1.5)) ;(vla-recomputetableblock atable :vlax-true) ;on the end display table object changes: Every instance of vla-settext ; opens table-block object, writes and closes them.Works pretty slow! (vla-put-regeneratetablesuppressed atable :vlax-false) (vlax-release-object atable) ;release memory used to create this object (vlax-release-object accol) ) ; The Create Table Function Accepts 3 Arguments including the ; Insertion point of the table, the Number of Rows and Number of Columns. (defun vla_addTable (insPt ; Insertion Point of Table rows ; Integer Number of Rows in Table cols ; Integer Number of Columns in Table / atable ; Table Object ) (setq txtsize (getvar 'textsize);|(variant-value (vla-getvariable (vla-get-activedocument (vlax-get-acad-object)) "textsize"))|;;commented atable (vla-addtable (vla-get-block (vla-get-activelayout (vla-get-activedocument (vlax-get-acad-object)))) (vlax-3d-point insPt) rows cols (* txtsize 1.25) (* txtsize 15))) atable ) ;; ;; ;; = return column name by given number = ;; ;; ;; (defun columnchar (col / fst snd) ;; author VK (Vladimir Kleshev) (cond ((or (minusp col) (> col 256)) nil ) ((<= col 26) (chr (+ col 64))) (T (setq fst (rem col 26) snd (fix (/ col 26))) (if (zerop fst) (progn (setq fst 26 snd (1- snd))) ) (strcat (chr (+ snd 64)) (chr (+ fst 64))) ) ) ) ;; usage, e.g.: (defun C:garb(/ i p pt pts) (setvar'snapmode 0) (setvar 'osmode 584) (setq i 0) (while (setq p (getpoint"\nPick point location:")) (setq pts (cons (list (columnchar(setq i (1+ i))) (car p)(cadr p)) pts)) ) (setq pts (reverse pts)) (setvar 'osmode 0) (setq pt (getpoint"\nPick table insertion point:")) (lstToTable pt "COORDINATES" pts) (princ) ) Quote
antistar Posted February 19, 2014 Posted February 19, 2014 (edited) Hi Try this code, mostly borrowed from Peter Jamtgaard: Fixo, Many thanks for your reply and help. There is the possibility to follow this sequence of selection? Pick point location: Select title of point (a string): Pick point location: Select title of point (a string): ... Pick table insertion point: Edited February 19, 2014 by antistar Quote
esauter Posted May 7, 2014 Posted May 7, 2014 Hello lispers! I have been trying to make use of Asmi´s lisp TABCORD, and its great! Nonetheless, in some cases when I create a polyline with arcs, the center xy coordinates for the arc sometimes output a wrong value. The xy coordinates it reports, correspond to a point directly opposite of the arc center (only in certain arcs). I´ve tried reversing the polyline direction and no luck. I´m guessing it's something associated with the polyline bulge sign assignment. Just wanted to check with you all if there is a variable that I need to modify in my AutoCAD settings of if it is an error intrinsic to the programmed lisp. If it is an error.... ideas of how to fix it would be appreciated. =) Thank you and have a good afternoon! Quote
esauter Posted July 14, 2014 Posted July 14, 2014 I copy the following response I had by Lee Mac via email which fixes the problem mentioned in my previous post: "Regarding TABCORD – you are not at fault, the program does indeed calculate the center coordinates incorrectly. To fix the problem, replace lines 198-200 (inclusive): pCen(trans (polar aCen(-(if(minusp(last vert)) pi(* 2 pi)) (atan(/(car fDr)(cadr fDr))))cRad)0 1) With: pCen (polar pt1 (+ (angle pt1 pt2) (- (/ pi 2) (* 2 (atan (last vert))))) (/ (* (distance pt1 pt2) (1+ (* (last vert) (last vert)))) 4 (last vert))) That should fix it! Cheers, Lee" Thank you very much for the solution Mr. Lee Mac! Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.